Get all contact details Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/contact-details

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[account_uuids] string

    Filter by a comma separated list of UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of UUIDs.

  • filter[type] string

    Comma separated list of types to filter by. Valid filters are [email, phone_number].

  • filter[value] string

    Comma separated list of partial values to filter by.

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [accounts, primary_accounts].

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, value]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • name string
      • value string
      • phone_number_meta object
        Hide phone_number_meta attributes Show phone_number_meta attributes object
        • country string
        • formatted string
      • accounts object
        Hide accounts attributes Show accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references string
      • primary_accounts object
        Hide primary_accounts attributes Show primary_accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references string
GET /api/v2/contact-details
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/contact-details' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "6a10b263-13a8-4cc6-9a38-fa1321ca1912",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "type": "email",
        "name": "Personal number",
        "value": "+443330903630",
        "phone_number_meta": {
          "country": "GB",
          "formatted": "0333 090 3630"
        },
        "accounts": {
          "uuid": "ab1506c5-371a-4ae4-a84d-0ff2c35dd11b",
          "created_at": "2026-06-08T16:08:03+01:00",
          "updated_at": "2026-06-08T16:08:03+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "primary_accounts": {
          "uuid": "28f9f0b8-6cec-4324-82df-61acde0e4378",
          "created_at": "2026-06-08T16:08:03+01:00",
          "updated_at": "2026-06-08T16:08:03+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        }
      }
    ]
  ]
}